Summary:        Java Design Quality Metrics
Name:           jdepend
Version:        2.10
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/clarkware/jdepend
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz#/jdepend-%{version}.tar.gz

BuildRequires:  ant java-devel javapackages-local
BuildArch:      noarch

%description
JDepend traverses a set of Java class and source file directories and generates design quality
metrics for each Java package. JDepend allows you to automatically measure the quality of a design
in terms of its extensibility, reusability, and maintainability to effectively manage and control
package dependencies.

%prep
%autosetup -n %{name}-%{version} -p1
find . -name "*.jar" -delete
find . -type d -exec chmod 755 {} \;

%mvn_file %{name}:%{name} %{name}

%build
ant -Dant.build.javac.source=1.7 -Dant.build.javac.target=1.7 jar javadoc

%install
%mvn_artifact jdepend:jdepend:%{version} dist/%{name}-%{version}.jar
%mvn_install -J build/docs/api

%files -f .mfiles -f .mfiles-javadoc
%license LICENSE.md
%doc README.md CHANGELOG.md docs

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 6 2023 Shuo Wang <abushwang@tencent.com> - 2.10-1
- initial build
